<?
//These are some universal constants that need to be accesible for every script.
if(!defined("__CONSTANTS_PHP")){
	define("__CONSTANTS_PHP", 1);

	// The name or label for the project.  All other scripts read it from
	// here when drawing a title, making it very easy to change.  This name
	// is used in page headers, window titles, etc. etc.
	define("_PROJECT_NAME", "SportLog");

	// The version number.  This refers to the current development state of
	// of the project.
	define("_PROJECT_VERSION", 0.1);

	// Default units to be used when entering data
	define("_DEFAULT_DISTANCE_UNIT", "kilometre");
	define("_DEFAULT_TIME_UNIT", "hour");

	// A series of constant bit flags for user permissions
	// These should not normally be modified
	define("_MANAGE_OWN_TRIPS", 1);
	define("_MANAGE_OWN_VEHICLES", 2);
	define("_MANAGE_OWN_GROUPS", 4);
	define("_MANAGE_ALL_TRIPS", 8);
	define("_MANAGE_ALL_VEHICLES", 16);
	define("_MANAGE_ALL_GROUPS", 32);
	define("_MANAGE_UNITS", 64);
	define("_MANAGE_USERS", 128);
	define("_MANAGE_CREATE_GROUPS", 256);

	// A series of flags used in personal preferences.  These also should
	// not need to be played with
	define("_PREF_SHARE_DATA", 1);

	// A few constants in regards to the bitflags above.  The only one here
	// that one may want to modify is _DEFAULT_PERMISSIONS, which is the
	// default set of flags to use in creating a user.
	define("_DEFAULT_PERMISSIONS", 3);
	define("_NUM_MANAGE_FLAGS", 9);
	define("_ALL_MANAGE_FLAGS", 511);
}
?>
