<?
/*****
Help documentation
*****/
define(_THISFILE, "help.php");
include("toolbar.php");
include("constants.php");
include("connectdb.php");
include("security.php");
include("toolbar.php");

$subject = $_GET["help_subject"];
if($subject == "")
	$subject = $_POST["help_subject"];

$security_cookie = $_COOKIE[_COOKIE_NAME];

if(connect_db()){
	if(check_login_cookie($security_cookie, $_SERVER["REMOTE_ADDR"])){
		$uid = get_id_from_cookie($security_cookie);
		setcookie(_COOKIE_NAME, $security_cookie, touch_login_cookie($uid));
		draw_header("Help");
		draw_help($subject);
		draw_toolbar($uid);
		draw_footer();
	}else{
		draw_header("Help");
		draw_help($subject);
		draw_footer();
	}

}else{
	draw_header("Help");
	draw_help($subject);
	draw_footer();
}

function draw_header($page_title){
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD html 4.0 Transitional//EN">
<html>
<head>
        <meta name="copyright" content="Copyright 2005, Jacob A. Ewing">
        <title><?echo _PROJECT_NAME." - ".$page_title?></title>
	<link rel=stylesheet href="presentation.css" type="text/css">
</head>
<body>
<?
}

function draw_footer(){
	echo "</body>\n</html>\n";
}

function draw_default_help(){
	?>
	<p>This is the page that is presented if the specified
	help subject is not found, or if no subject is specified.
	In the future, this will include a list of subjects on which
	help is avaialable, and a form for searching through them.
	at the moment, it is just space filler to get the basic
	concept hashed out.<p>
	<?
}

function draw_help($subject){
	echo "<h1>"._PROJECT_NAME." Help</h1>\n";
	switch($subject){
		case "help_index.php":
			help_main_menu();
			break;
		case "base_units":
			help_base_units();
			break;
		case "help.php":
			draw_default_help();
			break;
		case "manage_users.php":
			help_user_management();
			break;
		case "manage_units.php":
			help_unit_management();
			break;
		default:
			if(strlen($subject)){
				echo "<h2>No documentation was found regarding \"".$subject."\"</h2>";
				draw_default_help();
			}else{
				echo "<h1>Default help page</h1>\n";
				draw_default_help();
			}
	}
}

function help_main_menu(){
	?>
	<h3>Main Menu</h3>
	<p>This is the main page you will see after successfully logging in to the
	system.  At the moment it has no content at all, as the system is still in
	the development stage.  With time, that will include some personal
	informations, bulletins, and so on.</p>
	<?
}

function help_user_management(){
?>	<h3>User Management</h3>
	<p>This page is used for adding, removing, and modifying users.  Access to
	this page should be restricted to the system administrator, as modification
	of data in these tables will directly affect end users.
	</p>
<?php
	help_existing_users();
	help_add_a_user();
	help_find_a_user();
}

function help_existing_users(){
?>	<h3>Existing Users</h3>
	<p>This is a list of user accounts that currently exist on the database.
	The list is presented showing the user ID number, followed by the login name.
	With any user showing in that list, you can choose one of three actions:
	</p>
	<ul>
		<li>View - View the user's information</li>
		<li>Modify - Modify the user's information</li>
		<li>Remove - Remove the user from the database</li>
	</ul>
<?php
}

function help_add_a_user(){
} 

function help_user_permissions(){
}

function help_find_a_user(){
?>	<h3>Find A User</h3>
	<p>This part of the user management page allows you to search the database
	for existing users.  You can search by username, real name, e-mail address
	or any combination of the three.</p>
	<p>Searches can be performed using the wildcard symbols <strong>*</strong>
	and <strong>?</strong>.  The <strong>*</strong> symbol is used to represent
	any number of characters and the <strong>?</strong> symbol is used to represent
	a single character.  These can be used individually and in combination with
	each other to provide a wide array of results.  For example, these are the
	results you would get with various searches in the name field:</p>
	<table class=withborder cellspacing=0 rules=all>
		<thead>
			<td>Search String:</td>
			<td>Results Found:</td>
		</thead>
		<tr>
			<td>blah</td>
			<td>Any users that have the name "blah"</td>
		</tr><tr>
			<td>*</td>
			<td>All users</td>
		</tr><tr>
			<td>?????</td>
			<td>Users whose names are five characters long.</td>
		</tr><tr>
			<td>?????*</td>
			<td>Users whose names are five or more characters long.</td>
		</tr><tr>
			<td>?a*</td>
			<td>Users who have "a" as the second letter in their names</td>
		</tr><tr>
			<td>????a</td>
			<td>All names that are five characters long and end with an "a"</td>
		</tr>
	</table>
	<p>Searches are not case-sensitive.  This means that the search strings
	<strong>*BlAh*</strong> and <strong>*bLaH*</strong> would return exactly
	the same results.</p>
<?php
}

function help_base_units(){
?>	<h3>Base Units</h3>
	<p>
	All of the units of measurement within this system are expressed relative to
	base units.  This alows easy conversion between values, making the data more
	manipulable and thus useful.
	</p>
	<ul>
		<li> The base unit for distance is <strong>Metres</strong>.
		This means that kilometres would have a value of 1000, yards would
		have a value of 0.9144, and so on.</li>
		<li> The base unit for time is <strong>Seconds</strong>. Therefore
		minutes would have a value of 60, hours would have a value of 3600
		and so on.</li>
	</ul>
<?php
}

function help_unit_management(){
?>	<h3>Unit Management</h3>
	<p>This page is used for adding, removing and modifying units of measurement.
	Currently, the two available unit types are distance and time.
	Data stored in this table is used by everyone who accesses this system.  For
	this reason, permission to modify this data should be limited strictly to service
	administrators, and not to end users. Loss of data in this table will not have
	any severe repercussions, but will temporarily affect the usage of the system.
	</p>
<?php	help_base_units();
}
